* {
	font-family: sans-serif;
}
html, body {
	height: 100%;
	margin: 0;
}
header {
	font-size: 1.25em;
	margin: 20px;
	text-align: center;
}
main {
	flex: 1;
}
footer {
	text-align: center;
	flex-shrink: 0;
	margin-bottom: 10px;
}
a {
	color: black;
}
a:hover {
	color: #777;
}
hr {
	margin: 0px;
}
td, th {
	padding: 5px;
}
table {
	margin-top: 10px;
	border-collapse: collapse
}
thead {
	border-bottom: 1px solid #efefef;
}
input { margin: 4px 4px; }

.content-wrapper {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}
.hidden {
	transition: opacity 0.1s ease-in;
	opacity: 0;
}
.visible {
	transition: opacity 0.1s ease-in;
	opacity: 1;
}
.visible2 {
	transition: opacity 0.5s ease-in;
	opacity: 1;
}
#controls-div {
	display: inline-block;
}
#gear {
	display: inline-block;
	text-align: center;
	font-size: 2.5em;
	color: #777;
	cursor: pointer;
	user-select: none;
	margin-left: 10px;
	margin-top: 10px;
}
#gear:hover {
	color: #000;
}
#controls {
	margin-top: 10px;
	border: 0px;
	display: inline-block;
	vertical-align: top;
}
#controls-div.active {
	border-right: 1px solid gray;
	border-bottom: 1px solid gray;
	border-bottom-right-radius: 20px;

}
#dropzone {
	border: 4px dashed #aaa;
	border-radius: 20px;
	width: 500px;
	height: 500px;
	margin: 100px auto;
	cursor: pointer;
}
#file {
	display: none;
}
#upload-button {
	font-size: 3em;
	display: inline-block;
	border-radius: 20px;
	text-align: center;
	vertical-align: middle;
	width: 100%;
	height: 290px;
	padding-top: 210px;
	color: #aaa;
	cursor: pointer;
}
#upload-button:hover {
	background: #efefef;
}
#spinner {
	border: 4px solid rgba(0, 0, 0, 0.1);
	border-top-color: #aaa;
	border-radius: 50%;
	width: 20px;
	height: 20px;
	animation: spin 1s linear infinite;
	margin-top: 30px;
	margin-left: auto;
	margin-right: auto;
}
@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}
#error {
	font-size: 1.5em;
	text-align: center;
	margin: 10px;
	color: #f66;
}
#results {
	font-size: 1.5em;
	text-align: center;
	margin: 10px;
}
#results > div {
	margin: 20px;
}
#all-results {
	max-width: fit-content;
	margin-left: auto;
	margin-right: auto;
	margin-top: 50px;
	margin-bottom: 50px;
}
#show-results-table {
	background: #efefef;
	cursor: pointer;
	user-select: none;
	text-align: center;
	width: 100%;
	border-radius: 5px;
	display: inline-block;
}
#show-results-table:hover {
	background: #ddd;
}
